import request from '@/utils/request'

// 查询设备配置列表
export function listAiBoxProjectConfig(query) {
  return request({
    url: '/video/aiBoxProjectConfig/list',
    method: 'get',
    params: query
  })
}

// 查询设备配置详细
export function getAiBoxProjectConfig(id) {
  return request({
    url: '/video/aiBoxProjectConfig/' + id,
    method: 'get'
  })
}

// 新增设备配置
export function addAiBoxProjectConfig(data) {
  return request({
    url: '/video/aiBoxProjectConfig',
    method: 'post',
    data: data
  })
}

// 修改设备配置
export function updateAiBoxProjectConfig(data) {
  return request({
    url: '/video/aiBoxProjectConfig',
    method: 'put',
    data: data
  })
}

// 删除设备配置
export function delAiBoxProjectConfig(id) {
  return request({
    url: '/video/aiBoxProjectConfig/' + id,
    method: 'delete'
  })
}
